<% if params.dig("filter", "with_availability").present? && params["filter"]["with_availability"] == "withdrawn" %>
  <div class="callout warning">
    <%= t("decidim.proposals.proposals.index.text_banner",
          go_back_link: link_to(t("decidim.proposals.proposals.index.click_here"), proposals_path("filter[with_availability]" => nil)),
          ).html_safe %>
  </div>
<% end %>
<div class="component-container">
  <p id="proposals-count" class="proposals-counter">
    <%= render partial: "count" %>
  </p>
  <div class="order__by-text">
    <%= order_selector available_orders, i18n_scope: "decidim.proposals.proposals.orders" %>
  </div>
</div>
<div class="card-grid">
  <% if flash[:alert].present? && !user_survey_answered? && current_participatory_space.should_have_user_full_profile %>
    <span class="message-title"><%= flash[:alert] %></span>
    <a target="_blank" href=<%= flash[:poll_link] %>> <%= t("decidim.forms.incomplete_profile") %></a>
    <% end %>
  </div>
  <div class="card-grid component-content">
    <%= render @proposals %>
    <div class="br-row">
      <% if @proposals.empty? %>
        <% if params[:filter].present? %>
          <p><%= t(".empty_filters") %></p>
        <% else %>
          <p><%= t(".empty") %></p>
        <% end %>
      <% end %>
    </div>
  </div>
  <div class="paginate-container">
    <%= decidim_paginate @proposals %>
    <%= render partial: "decidim/shared/results_per_page" %>
  </div>
  <div class="row">
    <div class="text-right">
      <% if params.dig("filter", "with_availability").present? && params["filter"]["with_availability"] == "withdrawn" %>
        <%= link_to t("decidim.proposals.proposals.index.see_all"), proposals_path("filter[with_availability]" => nil) %>
      <% else %>
        <%= link_to t("decidim.proposals.proposals.index.see_all_withdrawn"), proposals_path(filter: { with_availability: "withdrawn", state: [""] }) %>
      <% end %>
    </div>
  </div>
